import * as types from '../store/mutations-types.js'
import store from 'store/store';

//不检查登录的页面
let ignoreCheckUserList = [
  'pages/login/login',
  'pages/login/reg',
]

export default {
	data(){
		return {
			showScanlistener: false // 是否显示扫码框，打开多个页面的时候会冲突，所以在跳转新页面的时候需要销毁，显示的时候重新创建
		}
	},
	watch:{
		showScanlistener(){
			console.log('showScanlistener', this.showScanlistener)
		}
	},
	onShow(option) {
		this.showScanlistener = true
		let page = getCurrentPages(),
			path = ''
		if (page.length > 0) path = page[page.length - 1].route

		//检查登录
		// if (!store.getters.userToken() && path && ignoreCheckUserList.indexOf(path) == -1) {
		// 	store.dispatch(types.SHOW_ALERT, {
		// 		msg: '用户已登出，请重新登陆',
		// 		onHide: () => {
		// 			uni.reLaunch({
		// 				url: '/pages/login/login'
		// 			});
		// 		}
		// 	})
		// }
	},
	onHide(){
		this.showScanlistener = false
	},
	onUnload(){
		this.showScanlistener = false
	},
	onLoad(){
		this.showScanlistener = true
	}
}
